Lingxing
切换旧版

查询运营计划模板列表

POST/basicOpen/product/operationPlan/template/listStart

查询可用于运营计划任务 opTemplateId 的运营计划模板。

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/product/operationPlan/template/listStartHTTPSPOST1

请求参数

pageNuminteger
页码,默认 1
pageSizeinteger
每页数量,默认 50,最大 200

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/product/operationPlan/template/listStart?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "pageNum": 1,
    "pageSize": 50
}'

返回结果

Json Object

codeinteger必填
状态码,0:成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
数据校验失败时的错误详情
request_idstring必填
请求链路 id
示例 a0d54debf93140f3b58d1ed81e8e3583
response_timestring必填
响应时间
示例 2026-08-31 12:00:00
dataobject必填
分页数据
隐藏子属性
totalinteger必填
总记录数
示例 27
sizeinteger必填
每页数量
示例 50
pageCountinteger必填
总页数
示例 2
currentinteger必填
当前页码
示例 1
currentSizeinteger必填
当前页记录数
示例 27
recordsarray<object>必填
运营计划模板列表
隐藏子属性
gmtCreatestring必填
创建时间
示例 2022-07-12
gmtModifiedstring必填
修改时间
示例 2023-09-15 10:10:38
createUidinteger必填
创建人 UID
示例 10062739
companyIdinteger必填
公司 ID
示例 901117781768839200
taskSubjectstring必填
任务主题
示例 FBA发货
startStatusinteger必填
启动状态
示例 0
createNamestring必填
创建人名称
示例 张三
isSysteminteger必填
是否系统模板
示例 1
idstring必填
运营计划模板 ID,可用于 opTemplateId 字段
示例 1
hasPreviousPageboolean必填
是否有上一页
示例 false
hasNextPageboolean必填
是否有下一页
示例 true
totalinteger必填
总记录数
示例 27

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "a0d54debf93140f3b58d1ed81e8e3583",
    "response_time": "2026-08-31 12:00:00",
    "data": {
        "total": 27,
        "size": 50,
        "pageCount": 2,
        "current": 1,
        "currentSize": 27,
        "records": [
            {
                "gmtCreate": "2022-07-12",
                "gmtModified": "2023-09-15 10:10:38",
                "createUid": 10062739,
                "companyId": 901117781768839168,
                "taskSubject": "FBA发货",
                "startStatus": 0,
                "createName": "张三",
                "isSystem": 1,
                "id": "1"
            }
        ],
        "hasPreviousPage": false,
        "hasNextPage": true
    },
    "total": 27
}